Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77447 - Installer Crashes when Partitioning
Summary: Installer Crashes when Partitioning
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-07 05:00 UTC by Steven Garwood
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:06 UTC


Attachments (Terms of Use)
Coppied From Crash (deleted)
2002-11-07 05:02 UTC, Steven Garwood
no flags Details

Description Steven Garwood 2002-11-07 05:00:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
When it comes to the partitioning screen, I can select any of the options and 
the installer crashes and reboots.

Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce


Additional info:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 57, in 
partitionObjectsInitialize
    partitions.setFromDisk(diskset)
  File "/usr/lib/anaconda/partitions.py", line 184, in setFromDisk
    lvm.vgscan()
  File "/usr/lib/anaconda/lvm.py", line 38, in vgscan
    raise SystemError, "vgscan failed"
SystemError: vgscan failed

Comment 1 Steven Garwood 2002-11-07 05:02:51 UTC
Created attachment 83925 [details]
Coppied From Crash

Comment 2 Michael Fulbright 2002-11-07 18:19:36 UTC
Have you ever setup LVM on any of the drives in the system?

Comment 3 Michael Fulbright 2002-12-02 16:09:33 UTC
Closing due to inactivity, please reopen if you have additional information to add.

Comment 4 Red Hat Bugzilla 2006-02-21 18:50:06 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.